
# Fedora Reviews:
# core/icons - http://bugzilla.redhat.com/194279
# extras - http://bugzilla.redhat.com/196379

# NOTE: can only build *one* of the following at a time
#  core:   kdeartwork
#  extras: kdeartwork-extras
#  icons:  kdeartwork-icons 
#define core 1
%define extras 1
#define icons 1

Version: 3.5.5
Release: 2%{?dist}

%if "%{?core}" == "1"
Name:    kdeartwork 
Summary: Additional artwork (themes, sound themes, ...) for KDE 
Requires: kdebase
%endif

%if "%{?extras}" == "1"
Name:	 kdeartwork-extras
Summary: Artwork Extras, including xscreensaver-based screensavers
%define _with_xscreensaver --with-xscreensaver
%define xsc xscreensaver-extras xscreensaver-gl-extras
BuildRequires: %{xsc}
Requires:      %{xsc} xscreensaver-base
# split occured at 3.5.3-6
Conflicts: kdeartwork < 3.5.3-6
Requires: kdebase
%endif

%if "%{?icons}" == "1"
Name:    kdeartwork-icons
Summary: Additional icon themes, including: ikons, kdeclassic, kids, Locolor, slick. 
# included icon themes Inherits= from these
#Requires: %{_datadir}/icons/hicolor/index.theme
Requires: hicolor-icon-theme
Requires: %{_datadir}/icons/default/index.theme
## Consider making .noarch someday...  -- Rex
#BuildArch: noarch
## these speed the build process a wee bit
#define debug_package %{nil}
#define __spec_install_post %{nil}
#AutoReq: no
%endif

License: GPL
Group:   Amusements/Graphics
URL:     http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdeartwork-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


# kdeclassic missing Inherits=
Patch1: kdeartwork-3.5.3-inherits.patch

BuildRequires: kdebase-devel >= 6:%{version}
BuildRequires: gettext

## upstream patches
# fix GL issues, flickering, see http://bugs.kde.org/73813

%description
%{summary}.


%prep
%setup -q -n kdeartwork-%{version}

%patch1 -p1 -b .inherits


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%if "%{?icons:1}" != "1"
export DO_NOT_COMPILE="$DO_NOT_COMPILE IconThemes"
%endif

%configure \
  --includedir=%{_includedir}/kde \
  --with-extra-libs=%{_libdir} \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  %{?_with_xscreensaver} %{!?_with_xscreensaver:--without-xscreensaver}

%if "%{?core:1}" == "1"
make %{?_smp_mflags}
%endif

%if "%{?extras:1}" == "1"
make %{?_smp_mflags} -C kscreensaver/kxsconfig
%endif




%install
rm -rf $RPM_BUILD_ROOT

%if "%{?core:1}" == "1"
make install DESTDIR=$RPM_BUILD_ROOT
%endif

%if "%{?extras:1}" == "1"
make install DESTDIR=$RPM_BUILD_ROOT -C kscreensaver/kxsconfig
%endif

%if "%{?icons:1}" == "1"
make install DESTDIR=$RPM_BUILD_ROOT -C IconThemes
%endif

# rpmdocs
for dir in IconThemes/* kscreensaver/kxsconfig kworldclock ; do
  for file in AUTHORS ChangeLog COPYRIGHT README TODO ; do
    test -s  "$dir/$file" && install -p -m644 -D "$dir/$file" "rpmdocs/$dir/$file"
  done
done

## File lists
# locale's
%find_lang kdeartwork || touch kdeartwork.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> kdeartwork.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done  
fi  


%if "%{?core:1}" == "1"
%files -f kdeartwork.lang
%defattr(-,root,root,-)
%doc kwin-styles/smooth-blend/COPYING
%doc rpmdocs/kworldclock
%{_bindir}/*
%{_libdir}/kde3/plugins/styles/*
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%{_datadir}/apps/kfiresaver/
%{_datadir}/apps/kscreensaver/
%{_datadir}/apps/kstyle/themes/*
%{_datadir}/apps/kwin/*
# note: kworldclock is from kdetoys
%{_datadir}/apps/kworldclock/
%{_datadir}/sounds/*
%{_datadir}/wallpapers/*
%{_datadir}/emoticons/*
%endif

%if "%{?icons:1}" == "1"
%files 
%defattr(-,root,root,-)
%doc kwin-styles/smooth-blend/COPYING
%doc rpmdocs/IconThemes/*
# own until something else sane, like filesystem, does 
# see rh bug http://bugzilla.redhat.com/bugzilla/195911
#dir %{_datadir}/icons
%{_datadir}/icons/ikons/
%{_datadir}/icons/kdeclassic/
%{_datadir}/icons/kids/
%{_datadir}/icons/Locolor/
%{_datadir}/icons/slick/

%post
for icon_theme in ikons kdeclassic kids Locolor slick ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done

%postun
for icon_theme in ikons kdeclassic kids Locolor slick ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
%endif

%if "%{?extras:1}" == "1"
%files -f kdeartwork.lang
%defattr(-,root,root,-)
%doc rpmdocs/kscreensaver/kxsconfig
%{_bindir}/kxs*
%{_datadir}/applnk/System/ScreenSavers/*.desktop
%endif


%clean   
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Oct 27 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.5-2
- -extras: Requires: xscreensaver-base

* Thu Oct 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.5-1
- 3.5.5

* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-5
- -extras: %doc COPYING (use copy from kwin-styles/smooth-blend/COPYING)

* Sun Oct 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-4
- -extras: drop (Build)Requires: xscreensaver-base

* Sat Sep 30 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-3
- use %%_foo style macros in %%changelog

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-2
- used unversioned Requires: kdebase

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.4-1
- kde-3.5.4

* Mon Jun 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-6
- main(core), -icons, -extras subpkgs.
  -icons so we don't push ~11MB data on every pkg respin, and leave ability 
  to someday make it .noarch
  -extras for xscreensaver bits (see bug #195480)

* Fri Jun 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-5
- patch for kdeclassic missing Inherits=  (even though it *should* already
  implicity Inherits=hicolor ?)

* Wed Jun 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-4
- BR: libGL-devel libGLU-devel (workaround qt bug #193741)
- Group: System Environment/Desktop -> Amusements/Graphics
- drop unused %%?beta macro

* Tue Jun 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-3
- (Build)Requires: xscreensaver-base xscreensaver-extras xscreensaver-gl-extras
- icons: own %%_datadir/icons (until something else sane does, like filesystem)
- icons: drop Requires: kdelibs
- icons: Requires: hicolor-icon-theme, %%_datadir/icons/default/index.theme
- make work on legacy releases too

* Mon Jun 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.5.3-2
- cleanup for Extras
- %%doc: README

* Thu Jun 01 2006 Than Ngo <than@redhat.com> 3.5.3-1
- update to 3.5.3

* Wed Apr 05 2006 Than Ngo <than@redhat.com> 3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Than Ngo <than@redhat.com> 3.5.1-1 
- 3.5.1

* Sat Dec 17 2005 Than Ngo <than@redhat.com> 3.5.0-2 
- requires on xscreensaver-extras
  
* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 3.5.0-1
- 3.5 final

* Tue Oct 25 2005 Than Ngo <than@redhat.com> 3.4.92-1
- update to 3.5 Beta 2

* Thu Oct 06 2005 Than Ngo <than@redhat.com> 3.4.91-1
- update to 3.5 Beta 1

* Tue Aug 09 2005 Than Ngo <than@redhat.com> 3.4.2-1
- update to 3.4.2

* Thu Jun 30 2005 Than Ngo <than@redhat.com> 3.4.1-2 
- configure script does not look the right xscreensaver dirs
  apply patch to fix this problem, #161312, thanks to Rex Dieter

* Tue Jun 28 2005 Than Ngo <than@redhat.com> 3.4.1-1
- 3.4.1

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.1
- 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 3.3.92-0.1
- KDE-3.4 Beta2

* Wed Dec 15 2004 Than Ngo <than@redhat.com> 3.3.2-0.3
- fix buildreq on xscreensaver-base

* Mon Dec 06 2004 Than Ngo <than@redhat.com> 3.3.2-0.2
- add correct paths for xscreensaver, xscreensaver-4.18-14 stores the
  config files and graphic hacks in %%_libdir/xscreensaver/config/hacks
  and %%_libexecdir/xscreensaver/hacks/

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2
- remove kdeartwork-3.3.1-kaleidescope.patch, it's included in 3.3.2

* Tue Nov 02 2004 Than Ngo <than@redhat.com> 3.3.1-3
- fix typo in configuration command.

* Mon Oct 18 2004 Than Ngo <than@redhat.com> 3.3.1-2
- rebuilt

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 3.3.1-1
- update to 3.3.1

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release
- fix file conflict

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 3.2.3-1
- update to 3.2.3

* Mon May 24 2004 Than Ngo <than@redhat.com> 3.2.2-3
- fix file conflict with other kde packages

* Mon May 24 2004 Than Ngo <than@redhat.com> 3.2.2-2
- fix file conflict with other kde packages

* Tue Apr 13 2004 Than Ngo <than@redhat.com> 3.2.2-1
- 3.2.2 release

* Thu Apr 08 2004 Than Ngo <than@redhat.com> 3.2.1-3
- fix file conflict with kdeedu

* Thu Apr 08 2004 Than Ngo <than@redhat.com> 3.2.1-2
- fix icontheme name, bug #119015

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 3.2.0-0.3
- 3.2.0 release
- build against qt 3.3.0

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 15 2003 Than Ngo <than@redhat.com> 3.1.94-0.2
- subpackage for icon

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 3.1.94-0.1
- KDE 3.2 Beta 2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 3.1.4-1
- 3.1.4

* Mon Sep 01 2003 Than Ngo <than@redhat.com> 3.1.3-3
- add requires xscreensaver

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 3.1.3-2
- rebuilt

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 3.1.3-1
- 3.1.3

* Thu Jun 26 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Than Ngo <than@redhat.com> 3.1.2-3
- get rid of buildrequires atomake15

* Mon May 19 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Wed Mar 19 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.4
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- removed size_t check
- excluded ia64

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.2
- rc6

* Wed Nov 27 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- get rid of sub packages

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Fri Sep 13 2002 Than Ngo <than@redhat.com> 3.0.3-3.1
- Fixed to build on x86_64

* Mon Sep  2 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Add BuildPrereq automake15

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 3.0.3-2
- rebuild against new qt

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Fri Jul 19 2002 Than Ngo <than@redhat.com> 3.0.2-2
- Fixed screen saver issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Rebuild

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-3
- final

* Thu Jan 31 2002 Bernhard Rossenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.2
- Remove KBlankscreen, it's in kdebase

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020108.1
- Add missing files

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
